[arch-commits] Commit in nodejs/repos (4 files)
Bartłomiej Piotrowski
bpiotrowski at nymeria.archlinux.org
Thu Feb 7 20:46:58 UTC 2013
Date: Thursday, February 7, 2013 @ 21:46:58
Author: bpiotrowski
Revision: 83980
archrelease: copy trunk to community-i686, community-x86_64
Added:
nodejs/repos/community-i686/PKGBUILD
(from rev 83979, nodejs/trunk/PKGBUILD)
nodejs/repos/community-x86_64/PKGBUILD
(from rev 83979, nodejs/trunk/PKGBUILD)
Deleted:
nodejs/repos/community-i686/PKGBUILD
nodejs/repos/community-x86_64/PKGBUILD
---------------------------+
community-i686/PKGBUILD | 122 ++++++++++++++++++++++----------------------
community-x86_64/PKGBUILD | 122 ++++++++++++++++++++++----------------------
2 files changed, 122 insertions(+), 122 deletions(-)
Deleted: community-i686/PKGBUILD
===================================================================
--- community-i686/PKGBUILD 2013-02-07 20:46:35 UTC (rev 83979)
+++ community-i686/PKGBUILD 2013-02-07 20:46:58 UTC (rev 83980)
@@ -1,61 +0,0 @@
-# $Id$
-# Maintainer: Bartłomiej Piotrowski <nospam at bpiotrowski.pl>
-# Contributor: Thomas Dziedzic < gostrc at gmail >
-# Contributor: James Campos <james.r.campos at gmail.com>
-# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
-# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
-# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
-# Contributor: TIanyi Cui <tianyicui at gmail.com>
-
-pkgname=nodejs
-pkgver=0.8.18
-pkgrel=2
-pkgdesc='Evented I/O for V8 javascript'
-arch=('i686' 'x86_64')
-url='http://nodejs.org/'
-license=('MIT')
-depends=('openssl' 'python2')
-checkdepends=('curl') # curl used for check()
-options=('!emptydirs')
-source=(http://nodejs.org/dist/v${pkgver}/node-v${pkgver}.tar.gz)
-sha256sums=('1d63dd42f9bd22f087585ddf80a881c6acbe1664891b1dda3b71306fe9ae00f9')
-
-build() {
- cd node-v${pkgver}
-
- msg 'Fixing for python2 name'
- find -type f -exec sed \
- -e 's_^#!/usr/bin/env python$_&2_' \
- -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
- -e 's_^#!/usr/bin/python$_&2_' \
- -e "s_'python'_'python2'_" -i {} \;
- find test/ -type f -exec sed 's_python _python2 _' -i {} \;
- export PYTHON=python2
-
- ./configure \
- --prefix=/usr \
- --shared-openssl
-
- make
-}
-
-check() {
- cd node-v${pkgver}
- make test || true
-}
-
-package() {
- cd node-v${pkgver}
-
- make DESTDIR=$pkgdir install
-
- # install docs as per user request
- install -d $pkgdir/usr/share/doc/nodejs
- cp -r doc/api/*.html \
- $pkgdir/usr/share/doc/nodejs
-
- install -D -m644 LICENSE \
- $pkgdir/usr/share/licenses/nodejs/LICENSE
-}
-
-# vim:set ts=2 sw=2 et:
Copied: nodejs/repos/community-i686/PKGBUILD (from rev 83979, nodejs/trunk/PKGBUILD)
===================================================================
--- community-i686/PKGBUILD (rev 0)
+++ community-i686/PKGBUILD 2013-02-07 20:46:58 UTC (rev 83980)
@@ -0,0 +1,61 @@
+# $Id$
+# Maintainer: Bartłomiej Piotrowski <nospam at bpiotrowski.pl>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: James Campos <james.r.campos at gmail.com>
+# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
+# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
+# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
+# Contributor: TIanyi Cui <tianyicui at gmail.com>
+
+pkgname=nodejs
+pkgver=0.8.19
+pkgrel=1
+pkgdesc='Evented I/O for V8 javascript'
+arch=('i686' 'x86_64')
+url='http://nodejs.org/'
+license=('MIT')
+depends=('openssl' 'python2')
+checkdepends=('curl') # curl used for check()
+options=('!emptydirs')
+source=(http://nodejs.org/dist/v${pkgver}/node-v${pkgver}.tar.gz)
+sha256sums=('703207d7b394bd3d4035dc3c94b417ee441fd3ea66aa90cd3d7c9bb28e5f9df4')
+
+build() {
+ cd node-v${pkgver}
+
+ msg 'Fixing for python2 name'
+ find -type f -exec sed \
+ -e 's_^#!/usr/bin/env python$_&2_' \
+ -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+ -e 's_^#!/usr/bin/python$_&2_' \
+ -e "s_'python'_'python2'_" -i {} \;
+ find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+ export PYTHON=python2
+
+ ./configure \
+ --prefix=/usr \
+ --shared-openssl
+
+ make
+}
+
+check() {
+ cd node-v${pkgver}
+ make test || true
+}
+
+package() {
+ cd node-v${pkgver}
+
+ make DESTDIR=$pkgdir install
+
+ # install docs as per user request
+ install -d $pkgdir/usr/share/doc/nodejs
+ cp -r doc/api/*.html \
+ $pkgdir/usr/share/doc/nodejs
+
+ install -D -m644 LICENSE \
+ $pkgdir/usr/share/licenses/nodejs/LICENSE
+}
+
+# vim:set ts=2 sw=2 et:
Deleted: community-x86_64/PKGBUILD
===================================================================
--- community-x86_64/PKGBUILD 2013-02-07 20:46:35 UTC (rev 83979)
+++ community-x86_64/PKGBUILD 2013-02-07 20:46:58 UTC (rev 83980)
@@ -1,61 +0,0 @@
-# $Id$
-# Maintainer: Bartłomiej Piotrowski <nospam at bpiotrowski.pl>
-# Contributor: Thomas Dziedzic < gostrc at gmail >
-# Contributor: James Campos <james.r.campos at gmail.com>
-# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
-# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
-# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
-# Contributor: TIanyi Cui <tianyicui at gmail.com>
-
-pkgname=nodejs
-pkgver=0.8.18
-pkgrel=2
-pkgdesc='Evented I/O for V8 javascript'
-arch=('i686' 'x86_64')
-url='http://nodejs.org/'
-license=('MIT')
-depends=('openssl' 'python2')
-checkdepends=('curl') # curl used for check()
-options=('!emptydirs')
-source=(http://nodejs.org/dist/v${pkgver}/node-v${pkgver}.tar.gz)
-sha256sums=('1d63dd42f9bd22f087585ddf80a881c6acbe1664891b1dda3b71306fe9ae00f9')
-
-build() {
- cd node-v${pkgver}
-
- msg 'Fixing for python2 name'
- find -type f -exec sed \
- -e 's_^#!/usr/bin/env python$_&2_' \
- -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
- -e 's_^#!/usr/bin/python$_&2_' \
- -e "s_'python'_'python2'_" -i {} \;
- find test/ -type f -exec sed 's_python _python2 _' -i {} \;
- export PYTHON=python2
-
- ./configure \
- --prefix=/usr \
- --shared-openssl
-
- make
-}
-
-check() {
- cd node-v${pkgver}
- make test || true
-}
-
-package() {
- cd node-v${pkgver}
-
- make DESTDIR=$pkgdir install
-
- # install docs as per user request
- install -d $pkgdir/usr/share/doc/nodejs
- cp -r doc/api/*.html \
- $pkgdir/usr/share/doc/nodejs
-
- install -D -m644 LICENSE \
- $pkgdir/usr/share/licenses/nodejs/LICENSE
-}
-
-# vim:set ts=2 sw=2 et:
Copied: nodejs/repos/community-x86_64/PKGBUILD (from rev 83979, nodejs/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD (rev 0)
+++ community-x86_64/PKGBUILD 2013-02-07 20:46:58 UTC (rev 83980)
@@ -0,0 +1,61 @@
+# $Id$
+# Maintainer: Bartłomiej Piotrowski <nospam at bpiotrowski.pl>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: James Campos <james.r.campos at gmail.com>
+# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
+# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
+# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
+# Contributor: TIanyi Cui <tianyicui at gmail.com>
+
+pkgname=nodejs
+pkgver=0.8.19
+pkgrel=1
+pkgdesc='Evented I/O for V8 javascript'
+arch=('i686' 'x86_64')
+url='http://nodejs.org/'
+license=('MIT')
+depends=('openssl' 'python2')
+checkdepends=('curl') # curl used for check()
+options=('!emptydirs')
+source=(http://nodejs.org/dist/v${pkgver}/node-v${pkgver}.tar.gz)
+sha256sums=('703207d7b394bd3d4035dc3c94b417ee441fd3ea66aa90cd3d7c9bb28e5f9df4')
+
+build() {
+ cd node-v${pkgver}
+
+ msg 'Fixing for python2 name'
+ find -type f -exec sed \
+ -e 's_^#!/usr/bin/env python$_&2_' \
+ -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+ -e 's_^#!/usr/bin/python$_&2_' \
+ -e "s_'python'_'python2'_" -i {} \;
+ find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+ export PYTHON=python2
+
+ ./configure \
+ --prefix=/usr \
+ --shared-openssl
+
+ make
+}
+
+check() {
+ cd node-v${pkgver}
+ make test || true
+}
+
+package() {
+ cd node-v${pkgver}
+
+ make DESTDIR=$pkgdir install
+
+ # install docs as per user request
+ install -d $pkgdir/usr/share/doc/nodejs
+ cp -r doc/api/*.html \
+ $pkgdir/usr/share/doc/nodejs
+
+ install -D -m644 LICENSE \
+ $pkgdir/usr/share/licenses/nodejs/LICENSE
+}
+
+# vim:set ts=2 sw=2 et:
More information about the arch-commits
mailing list